%global momorel 1
%global md5sum_src0 563b544fbedcc1763130a0bca1ad63b6

Summary: Utility to enable the IBM ThinkPad(tm) special keys.
Name: tpb
Version: 0.6.4
Release: %{momorel}m
License: GPL
Group: Applications/System
URL: http://www.nongnu.org/tpb/
%NoSource 0 http://savannah.nongnu.org/download/tpb/%{name}-%{version}.tar.gz %{md5sum_src0}
Source2: tpb-nvram.permissions
Patch0: tpb-defaultconfig.patch
BuildRequires: gettext, xosd-devel >= 2.0
BuildRequires: MAKEDEV
BuildRequires: libICE-devel, libSM-devel, libX11-devel, libXext-devel
BuildRequires: libXinerama-devel, libXt-devel
Requires: udev
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
With TPB it is possible to bind a program to the ThinkPad, Mail, Home
and Search buttons. TPB can also run a callback program on each state
change with the changed state and the new state as options.  So it is
possible to trigger several actions on different events.  TPB has a
on-screen display (OSD) to show volume, mute, brightness and some
other information.  Furthermore TPB supports a software mixer, as the
R series ThinkPads have no hardware mixer to change the volume.

%prep
%setup -q
%patch0 -p0

%{__cat} <<EOF > tpb.xinit
#!/bin/sh
%{_bindir}/tpb -d
EOF

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}/udev/devices
install -Dm 755 %{name}.xinit \
  %{buildroot}%{_sysconfdir}/X11/xinit/xinitrc.d/%{name}.sh
install -Dpm 644 %{SOURCE2} \
  %{buildroot}%{_sysconfdir}/udev/permissions.d/49-%{name}-nvram.permissions
/sbin/MAKEDEV -M nvram > %{name}.files
/sbin/MAKEDEV -d %{_sysconfdir}/udev/devices -M nvram >> %{name}.files
sed -i s/600/644/ %{name}.files # console.perms.d would be nice
%find_lang %{name}
cat %{name}.lang >> %{name}.files

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-, root, root, 0755)
%doc ChangeLog COPYING CREDITS README doc/callback_example.sh doc/nvram.txt
%config(noreplace) %{_sysconfdir}/X11/xinit/xinitrc.d/tpb.sh
%config(noreplace) %{_sysconfdir}/tpbrc
%config(noreplace) %{_sysconfdir}/udev/permissions.d/*tpb-nvram.permissions
%config(noreplace) %{_sysconfdir}/tpbrc
%{_bindir}/*
%{_mandir}/man?/*

%changelog
* Sat Jun  3 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.6.4-1m)
- update to 0.6.4

* Fri Apr  8 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.3-3m)
- /dev/nvram and /etc/udev/devices are not included

* Fri Mar  4 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6.3-2m)
- adapt for udev but SU.PLEASE for use MAKEDEV
- thanks to 
- * Thu Mar  3 2005 Meke <meke@apost.plala.or.jp>
- - (0.6.3-oremomo.2m)
- - udev fix (refer to FC3 extras)

* Thu Mar  3 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6.3-1m)
- version up
- from http://daemon.plala.jp/~meke/files/tpb.spec
- we are not care about udev, please fix
- * Sat Jan  1 2005 Meke <meke@apost.plala.or.jp>
- - (0.6.3-1m)
- - version up
- - add tpb.sh 

* Mon Feb  9 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (0.6.1-2m)
- fix BuildRoot

* Sun Feb 8 2004 Toru Hoshina <t"www.momonga-linux.org>
- (0.6.1-1m)
- Initial package.
